summaryrefslogtreecommitdiffstatshomepage
path: root/3rdparty/zstd/tests/cli-tests/cltools/zstdless.sh
diff options
context:
space:
mode:
Diffstat (limited to '3rdparty/zstd/tests/cli-tests/cltools/zstdless.sh')
-rwxr-xr-x3rdparty/zstd/tests/cli-tests/cltools/zstdless.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/3rdparty/zstd/tests/cli-tests/cltools/zstdless.sh b/3rdparty/zstd/tests/cli-tests/cltools/zstdless.sh
new file mode 100755
index 00000000000..a0697bde644
--- /dev/null
+++ b/3rdparty/zstd/tests/cli-tests/cltools/zstdless.sh
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+set -e
+
+println "+ good path"
+zstdless file.zst
+println "+ pass parameters"
+zstdless -N file.zst # This parameter does not produce line #s when piped, but still serves to test that the flag went to less and not zstd
+println "+ bad path"
+zstdless bad.zst >&2